EOL of products required by Spark and Openfire

Version 4

    Introduction

    This document tries to link to the EOL documents of vendors which offer products Openfire and Spark are using. This information should be useful for developers and administrators to make sure that only current versions are supported and installed.

    The links to JDBC drivers are likely too old to point to the current JDBC driver version as new versions are released quite often.

    (One may want to add more products and links, simply click on "edit" if you feel that you need to modify or add something.)

     

    Java

    http://www.oracle.com/technetwork/java/eol-135779.html

    Java SE Support Roadmap


    Major
    Release
    GA DateEOL
                 Notification
    EOL

    1.4Feb 2002Dec 2006Oct 2008

    5.0May 2004Apr 2008Oct 2009

    6Dec 2006Feb 2011Jul 2012

    7July 2011TBDJuly 2014

    MySQL

    http://www.mysql.com/about/legal/lifecycle/

    mysql.png

    http://dev.mysql.com/support/eol-notice.html

    As of January 1, 2011, these platforms will no longer be supported for MySQL versions 5.0 and higher.

     

    MySQL JDBC driver

    http://dev.mysql.com/downloads/connector/j/

    DB2

    http://www-01.ibm.com/support/docview.wss?rs=71&uid=swg21168270

    db2.png

    DB2 JDBC driver

    ?

    Oracle

    http://www.oracle.com/

    (available only for customers?)

    Oracle JDBC driver

    http://www.oracle.com/technology/tech/java/sqlj_jdbc/index.html

    http://www.oracle.com/technology/software/tech/java/sqlj_jdbc/htdocs/jdbc_111060 .html

    HSQLDB

    http://hsqldb.eb/hsqlDevelopment.html

    Supported Versions

    Version 1.8.x will continue to be maintained and supported inthe foreseeable future, but no new major functionality will be added.New releases of 1.8.x may appear from time to time.

    Version 2.2.0 is the current main version.